QGIS Application - Feature request #9096
QGIS 2.0.1 Atlas generation not keeping the fill styles
2013-11-19 05:31 PM - Surag Kulkarni

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 17741
Description

HI

Previously | have used the same QGIS project for V1.8 with Atlas plugin. The maps were created well and very satisfied with the results.
With new Version 2.0.1 Atlas generator is creating maps as it is suppose to but not keeping the styles such as fill with 60% Translucency.
Also whilst switching between main window and composer - map(in main window) keeps changing the rendering, refresh does not help
but if you turn off and turn on layer it comes back as it was suppose to be.

History

#1 - 2013-11-21 05:43 AM - Giovanni Manghi
- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

#2 - 2013-11-21 05:45 AM - Giovanni Manghi
- Category set to Map Legend
- Status changed from Open to Feedback

When you say "transparency” are you referring to the one of the coverage layer? if yes, it is working ok here.

| can't understand the other issue, pleabe be more specific, eventually adding images/screencasts.

#3 - 2013-11-21 03:14 PM - Surag Kulkarni

- File output_10.pdf added

- File output_Wednesday Area__2.pdf added

- File Unsure_about _this.jpg added

- File Layer_Properties.jpg added

- File Clipboard01.jpg added

- File item_properties Render_Update_Preview.pdf added
- File item_properties Cache_Update Preview.pdf added

Hi

Sorry for not adding the screenshots and more details.

QGIS 2.0.1 output using atlas generation does not print Labels, also 60% transparency did not come across in print as well as composer window.

My second issue (actually a solution) was when | turn off the Garbage days (classified layer) and turn back on again and update preview in composer
updates it.

before printing a dialogue box pops up (unsure about this jpeg)

Regards

I1Giovanni Manghi wrote:
When you say "transparency" are you referring to the one of the coverage layer? if yes, it is working ok here.

| can't understand the other issue, pleabe be more specific, eventually adding images/screencasts.

#4 - 2013-11-22 01:55 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

Surag Kulkarni wrote:

Hi

Sorry for not adding the screenshots and more details.

composer updates it.
before printing a dialogue box pops up (unsure about this jpeg)
Regards

QGIS 2.0.1 output using atlas generation does not print Labels, also 60% transparency did not come across in print as well as composer window.

My second issue (actually a solution) was when | turn off the Garbage days (classified layer) and turn back on again and update preview in

I" sorry, I'm still struggling understand what do you mean. Anyway it seems to me that the second one is not an issue, it just how qgis works, have a look

how the "draw map canvas items" and "lock layers for map item" options work.

About the first issue: it is not reproducible here when using standard options. The fact you see this

https://issues.qgis.org/attachments/6494/Unsure_about_this.jpg

means that you have somewhere a blending mode enabled, that may be the cause of this "issue".

To really understand if those above are real issue please attach here a sample project, with sample data, and obviously the layouts/configurations that are

causing you trouble.

If issue will be confirmed we will reopen this.
